package com.microservices.pms.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 项目迭代对象 pms_project_sprint
 * 
 * @author wanjia
 * @date 2023-10-11
 */
public class PmsProjectSprint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 迭代ID */
    private Long id;

    /** 迭代名称 */
    @Excel(name = "迭代名称")
    private String sprintName;

    /** 迭代负责人id */
    @Excel(name = "迭代负责人id")
    private Long sprintAssigneeId;

    /** 所属项目ID */
    @Excel(name = "所属项目ID")
    private Long pmsProjectId;

    /** 迭代目标 */
    @Excel(name = "迭代目标")
    private String sprintDescription;

    /** 工时规模 */
    @Excel(name = "工时规模")
    private Long timeScale;

    /** 状态 0待开始 1进行中 2已关闭 */
    @Excel(name = "状态 0待开始 1进行中 2已关闭")
    private String status;

    /** 项目开启时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目开启时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 项目截止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目截止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 是否置顶 0不置顶 1置顶 */
    @Excel(name = "是否置顶 0不置顶 1置顶")
    private Integer isTop;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTime;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDeleted;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    @JsonIgnore
    private String reservedField1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    @JsonIgnore
    private String reservedField2;

    /** 预留字段3 */
    @Excel(name = "预留字段3")
    @JsonIgnore
    private String reservedField3;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSprintName(String sprintName) 
    {
        this.sprintName = sprintName;
    }

    public String getSprintName() 
    {
        return sprintName;
    }
    public void setSprintAssigneeId(Long sprintAssigneeId) 
    {
        this.sprintAssigneeId = sprintAssigneeId;
    }

    public Long getSprintAssigneeId() 
    {
        return sprintAssigneeId;
    }
    public void setPmsProjectId(Long pmsProjectId) 
    {
        this.pmsProjectId = pmsProjectId;
    }

    public Long getPmsProjectId() 
    {
        return pmsProjectId;
    }
    public void setSprintDescription(String sprintDescription) 
    {
        this.sprintDescription = sprintDescription;
    }

    public String getSprintDescription() 
    {
        return sprintDescription;
    }
    public void setTimeScale(Long timeScale) 
    {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() 
    {
        return timeScale;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setIsTop(Integer isTop) 
    {
        this.isTop = isTop;
    }

    public Integer getIsTop() 
    {
        return isTop;
    }
    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getCreateTime()
    {
        return createTime;
    }
    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }
    public void setIsDeleted(Integer isDeleted) 
    {
        this.isDeleted = isDeleted;
    }

    public Integer getIsDeleted() 
    {
        return isDeleted;
    }
    public void setReservedField1(String reservedField1) 
    {
        this.reservedField1 = reservedField1;
    }

    public String getReservedField1() 
    {
        return reservedField1;
    }
    public void setReservedField2(String reservedField2) 
    {
        this.reservedField2 = reservedField2;
    }

    public String getReservedField2() 
    {
        return reservedField2;
    }
    public void setReservedField3(String reservedField3) 
    {
        this.reservedField3 = reservedField3;
    }

    public String getReservedField3() 
    {
        return reservedField3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sprintName", getSprintName())
            .append("sprintAssigneeId", getSprintAssigneeId())
            .append("pmsProjectId", getPmsProjectId())
            .append("sprintDescription", getSprintDescription())
            .append("timeScale", getTimeScale())
            .append("status", getStatus())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("isTop", getIsTop())
            .append("createdAt", getCreateTime())
            .append("updatedAt", getUpdateTime())
            .append("isDeleted", getIsDeleted())
            .append("reservedField1", getReservedField1())
            .append("reservedField2", getReservedField2())
            .append("reservedField3", getReservedField3())
            .toString();
    }
}
